%{?!_themedir:%define _themedir %{_datadir}/icons/Crystal-Clear}

Name:       crystal-clear
Version:    20050622
Release:    11%{?dist}

Summary:    Crystal Clear KDE Icon set
Group:      User Interface/Desktops
License:    LGPLv2+

URL:        http://www.deviantart.com/deviation/19744866/
#http://www.kde-look.org/content/show.php?content=25668

Source:     http://linuxcult.com/crystal/icons/CrystalClear.tar.gz
#http://www.deviantart.com/download/19744866/Crystal_Clear_tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch


%description
Crystal Clear is a KDE Icon set.

%prep
%setup -q -n "Crystal Clear"

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_themedir}
%{__cp} -apf * %{buildroot}%{_themedir}

#deletes hidden files
%{__rm} -f %{buildroot}%{_themedir}/??x??/*/.*.png

#fixed shellbang
chmod -x %{buildroot}%{_themedir}/index.desktop

# Removed non-lgpl firefox icons
%{__rm} -f %{buildroot}%{_themedir}/48x48/apps/firefox.png
%{__rm} -f %{buildroot}%{_themedir}/32x32/apps/firefox.png
%{__rm} -f %{buildroot}%{_themedir}/16x16/apps/firefox.png

ln -s browser.png %{buildroot}%{_themedir}/128x128/apps/firefox.png
ln -s browser.png %{buildroot}%{_themedir}/48x48/apps/firefox.png
ln -s browser.png %{buildroot}%{_themedir}/32x32/apps/firefox.png
ln -s browser.png %{buildroot}%{_themedir}/16x16/apps/firefox.png

#kontact icons
ln -s ../apps/lists.png %{buildroot}%{_themedir}/48x48/actions/kontact_summary.png
ln -s ../apps/email.png %{buildroot}%{_themedir}/48x48/actions/kontact_mail.png
ln -s ../apps/kdmconfig.png %{buildroot}%{_themedir}/48x48/actions/kontact_contacts.png
ln -s ../apps/date.png %{buildroot}%{_themedir}/48x48/actions/kontact_date.png
ln -s ../apps/lassists.png %{buildroot}%{_themedir}/48x48/actions/kontact_todo.png
ln -s ../apps/lreminder.png %{buildroot}%{_themedir}/48x48/actions/kontact_notes.png
ln -s ../apps/ark.png %{buildroot}%{_themedir}/48x48/actions/basket.png

# setting new kontact icon
# backup
%{__mv} %{buildroot}%{_themedir}/16x16/apps/kontact.png %{buildroot}%{_themedir}/16x16/apps/kontact_orig.png
%{__mv} %{buildroot}%{_themedir}/22x22/apps/kontact.png %{buildroot}%{_themedir}/22x22/apps/kontact_orig.png
%{__mv} %{buildroot}%{_themedir}/32x32/apps/kontact.png %{buildroot}%{_themedir}/32x32/apps/kontact_orig.png
%{__mv} %{buildroot}%{_themedir}/48x48/apps/kontact.png %{buildroot}%{_themedir}/48x48/apps/kontact_orig.png
%{__mv} %{buildroot}%{_themedir}/64x64/apps/kontact.png %{buildroot}%{_themedir}/64x64/apps/kontact_orig.png
%{__mv} %{buildroot}%{_themedir}/128x128/apps/kontact.png %{buildroot}%{_themedir}/128x128/apps/kontact_orig.png

# links from kworldclock.png
ln -s kworldclock.png %{buildroot}%{_themedir}/16x16/apps/kontact.png
ln -s kworldclock.png %{buildroot}%{_themedir}/22x22/apps/kontact.png
ln -s kworldclock.png %{buildroot}%{_themedir}/32x32/apps/kontact.png
ln -s kworldclock.png %{buildroot}%{_themedir}/48x48/apps/kontact.png
ln -s kworldclock.png %{buildroot}%{_themedir}/64x64/apps/kontact.png
ln -s kworldclock.png %{buildroot}%{_themedir}/128x128/apps/kontact.png


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_themedir}/

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20050622-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20050622-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20050622-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20050622-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jun 15 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20050622-7
- Bugfix 440851 FTBFS crystal-clear-20050622-6.fc8
- Expanding user base by removing requires: kdebase

* Mon Aug 06 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20050622-6
- removed dependency on fedora-logos #250367 and license

* Thu Jun 21 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20050622-5
- fixed url: # 245106

* Sat Apr 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20050622-4
- fixes for firefox icon on katapult
- fixes for kontact icons
- added support for kontact plugins icons

* Fri Dec 22 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20050622-3
- Fixed url tag

* Thu Dec 21 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20050622-2
- replace absolute symlinks with relative ones

* Sun Aug 27 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 20050622-1
- Initial Package